petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetCreateInterpolation

Set the routine used to create the interpolation operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateInterpolation(DM dm, PetscErrorCode (*interp)(DM,DM,Mat*,Vec*))

Logically Collective on DM Many br

Input Arguments Many br

| dm | - the shell DM Many br
| interp | - the routine to create the interpolation Many br

Many br

### See Also

DMShellSetCreateInjection(), DMCreateInterpolation(), DMShellSetCreateRestriction(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html